function xgh(){}
function mgh(a){this.a=a}
function pgh(a){this.a=a}
function zgh(a){this.a=a}
function Lof(a,b){a.a=b;return a}
function Mof(a){a.e=100;return a}
function Nof(){this.c=new oWd;sD();this.d=Izj}
function Nef(){this.b=pA($doc);this.a=pA($doc)}
function jmd(a){a.a.ke(0,2);fmd(a.a.c,0,2)[iCj]=aak}
function hmd(a,b,d){var e;a.a.ke(b,1);e=fmd(a.a.c,b,1);wz(e,$2j,d.a)}
function ooh(a){var b;if(!a.d){b=new xgh;a.d=b}return a.d}
function Iu(a,b,d,e){var g;Ou(a,b,d);g=zu(a,b,d,e==null);e!=null&&tz(g,e)}
function kgh(a,b,d,e){GFd.call(this,a,b,d);this.a=e;this.b=new h0i(R1b)}
function Oef(a,b){if(a==0||b==0)return 0;return W2c(H2c(Math.round(b/a*100)))}
function Kof(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function ogh(a,b){var d,e;d=hnj(b);if(s7i(d,oGj).b.b!=(Klj(),Jlj)){e=Z_i(a.a.b,s7i(d,oGj));wgh(a.a.A,e)}else{wgh(a.a.A,null)}}
function jgh(a){var b,d;b=Idf();C7i(g7i(b),wHj,LDj);d=new Q7i;B7i(s7i(d,fGj),'engine-statistics');G7i(s7i(d,hGj),b);nnj(new Gmj(d),new pgh(a))}
function noh(a){var b;if(!a.c){b=new kgh(QEd(Nbe(a.a)),ooh(a),moh(a),(Rnj(sde(a.a)),V0i(qde(a.a)),lLg(Gce(a.a))));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function wgh(a,b){var d;d=new Edf($L(a0c,axj,-1,[I2c(b.rI().a),b.sI().a,b.tI().a,b.nI().a,b.pI().a,b.lI().a,b.mI().a,b.oI().a,I2c(b.kI().a),I2c(b.uI().a),I2c(b.qI().a)]));Iof(a.b,d)}
function Mef(a,b,d){var e,g,i;g=jnd(a.c,a.a);i=Oef(b,d);if(i>0){qz(g,G_j,_hk+i+MAj);qz(g,aik,_hk+i+MAj)}else{qz(g,G_j,bik);qz(g,aik,bik)}e=new s4c;r4c(q4c(($Pd(e.a,"<span style='padding-right:5px;'>"),e),i+MAj),T_j);tz(g,(new u4c(e.a.a.a)).a)}
function Iof(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=Kof(a);if(g>b.a.b)throw new io(cik+g+dik+b.a.b);e=kOd(g>=0?(new hOd($Md($f(b.a,g)))).a:uyj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=$f(b.a,o);if(null==d)throw new io(eik+o+fik);Ku(a.b,p,1,d);if(!!i.a&&J2c(e.a,Mxj)){Mef($f(a.c,o),W2c(e.a),(new FNd(YMd(d))).a)}else if(!!i.a&&L2c(e.a,Mxj)){throw new io(gik)}++p}}
function Jof(a){var b,d,e,g,i,j,k,n,o,p;i=new rwd;rz((Mfd(),i.gb),x_j);owd(i,new cnd("<div class='metric-table-title'>"+a.d+b3j));a.b=new Qu;qz(kr(a.b),iCj,a.e+MAj);Iu(a.b,0,0,'Metric');Iu(a.b,0,1,'Actual');Iu(a.b,0,2,kCj);hmd(a.b.d,0,(Fnd(),End));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Iu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Iu(a.b,j,1,Izj);fWd(a.c,new Nef);if(b.a){k=$f(a.c,j-1);Lu(a.b,j,2,(n=new s4c,r4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new knd(new u4c(n.a.a.a)),o=jnd(k.c,k.b),gz(o,'stacked-bar-total'),qz(o,G_j,lgk),qz(o,aik,'width:100%!important'),p=jnd(k.c,k.a),gz(p,'stacked-bar-actual'),cA(p,Izj),k.c));Mef(k,0,0)}else Ku(a.b,j,2,Izj);hmd(a.b.d,j,End);b.c&&vnd(a.b.f,j,'metric-table-baseline');++j}imd(a.b.d,0,0,hik);imd(a.b.d,0,1,hik);imd(a.b.d,0,2,hik);jmd(a.b.d);owd(i,a.b);return i}
var jik='Teiid Metrics',bik='background:none',aik='cssText',hik='metric-table-header';f3c(2503,1,{},Nef);f3c(2674,1,{},Nof);_.a=null;_.e=100;f3c(4578,1007,iyj,kgh);_.Qi=function(){this.A.a=this;RH(this.v,(Rtf(),Qtf),this)};_.Sk=function(){hq((aq(),_p),new mgh(this))};_.Vi=function(){this.B&&jgh(this)};_.Zi=function(){suf(this.a,this)};f3c(4579,1,{},mgh);_.rd=function(){jgh(this.a)};f3c(4580,1294,{},pgh);_.od=function(a){VXd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.dh=function(a){ogh(this,a)};f3c(4583,1411,gyj,xgh);_.Ah=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Oij;Iij(r,new Eij((PXd(),Khk),new zgh(this)));p=new Kef(vQj,'Session Count');o=new Kef(xQj,'Memory in Use(KB)');n=new Kef(zQj,'Memory Used By Active Plans(KB)');g=new Kef(BQj,'Buffer Disk Reads');i=new Kef(DQj,'Buffer Disk Writes');b=new Kef(FQj,'Buffer Cache Reads');d=new Kef(HQj,'Buffer Cache Writes');q=new Kef(JQj,'Disk Space In Use(MB)');a=new Kef(LQj,'Active Plan Count');s=new Kef(NQj,'Waiting Plan Count');k=new Kef(PQj,'Maximum Plans Waiting Water Mark');e=$L(s1c,bxj,196,[p,o,n,g,i,b,d,q,a,s,k]);this.b=Mof(Lof(new Nof,e),sD());j=oBe(rBe(wBe(sBe(vBe(new xBe,iik),jik),r),'Metrics for teiid subsystem'),jik,Jof(this.b));return pBe(j)};f3c(4584,1,vxj,zgh);_.he=function(a){jgh(this.a.a)};f3c(4740,1,Pyj);_.pd=function(){yGd(this.b,noh(this.a.a))};var h3b=wNd(4578),d3b=wNd(4579),e3b=wNd(4580),j3b=wNd(4583),i3b=wNd(4584),fub=wNd(2674),Wqb=wNd(2503);Dzj(_o)(75);